Lists the principals currently assigned to the entitlement, with pagination, sorting, and filtering.
GET
/api/v1/provision/admin/entitlements/{entitlementId}/principals
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/principals?pageNumber=1&pageSize=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/principals?pageNumber=1&pageSize=100'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” entitlementId
required
string format: uuid
Target entitlement.
Query Parameters
Section titled “Query Parameters ” pageNumber
integer | string format: int32
pageSize
integer | string format: int32
sortOrder
string
filter
string
Responses
Section titled “ Responses ”OK
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
Principal assignment record for an entitlement.
object
principalId
Identifier of the assigned principal (user).
string format: uuid
assignedAt
UTC timestamp the principal was assigned.
string format: date-time
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
Principal assignment record for an entitlement.
object
principalId
Identifier of the assigned principal (user).
string format: uuid
assignedAt
UTC timestamp the principal was assigned.
string format: date-time
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "principalId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "assignedAt": "2026-04-15T12:00:00Z" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
Principal assignment record for an entitlement.
object
principalId
Identifier of the assigned principal (user).
string format: uuid
assignedAt
UTC timestamp the principal was assigned.
string format: date-time
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "principalId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "assignedAt": "2026-04-15T12:00:00Z" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}Unauthorized
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}